Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.junit.client
Class RangeIterator

    java.lang.Object
      com.google.gwt.junit.client.RangeIterator

All Implemented Interfaces:
  java.util.Iterator

    public abstract class RangeIterator

extends java.lang.Object
implements java.util.Iterator

A base class useful for implementing Iterators for Ranges.

Constructor Summary
`RangeIterator()`

Method Summary
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext, next`

Constructor Detail

### RangeIterator

    public RangeIterator()

Method Detail

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD